import request from "@/utils/request";

// 实验室专利列表
export const labPatentList = (params) => {
  return request({
    url: `/app/laboratory/patentList`,
    method: "GET",
    params,
  });
};

// 实验室新增专利
export const insertLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "POST",
    data,
  });
};

/**
 * 实验室修改专利
 * @param data
 * @return {*}
 */
export const updateLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "PUT",
    data,
  });
};

export const deleteLabPatentByIds = (ids) => {
  return request({
    url: `/app/laboratory/deletePatents/${ids}`,
    method: "DELETE",
  });
};
